package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * UpgradeFailedDeviceInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UpgradeFailedDeviceInfo   {
  @JsonProperty("modelTypeInfo")
  private ModelTypeInfoOpenApiVo modelTypeInfo;

  @JsonProperty("deviceName")
  private String deviceName;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("currentVersion")
  private String currentVersion;

  @JsonProperty("siteName")
  private String siteName;

  @JsonProperty("type")
  private String type;

  public UpgradeFailedDeviceInfo modelTypeInfo(ModelTypeInfoOpenApiVo modelTypeInfo) {
    this.modelTypeInfo = modelTypeInfo;
    return this;
  }

  /**
   * Get modelTypeInfo
   * @return modelTypeInfo
  */
  @ApiModelProperty(value = "")

  @Valid

  public ModelTypeInfoOpenApiVo getModelTypeInfo() {
    return modelTypeInfo;
  }

  public void setModelTypeInfo(ModelTypeInfoOpenApiVo modelTypeInfo) {
    this.modelTypeInfo = modelTypeInfo;
  }

  public UpgradeFailedDeviceInfo deviceName(String deviceName) {
    this.deviceName = deviceName;
    return this;
  }

  /**
   * Name of the device which failed to upgrade.
   * @return deviceName
  */
  @ApiModelProperty(value = "Name of the device which failed to upgrade.")


  public String getDeviceName() {
    return deviceName;
  }

  public void setDeviceName(String deviceName) {
    this.deviceName = deviceName;
  }

  public UpgradeFailedDeviceInfo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Mac address of device which upgrade failed.
   * @return mac
  */
  @ApiModelProperty(value = "Mac address of device which upgrade failed.")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public UpgradeFailedDeviceInfo currentVersion(String currentVersion) {
    this.currentVersion = currentVersion;
    return this;
  }

  /**
   * The current firmware version of the device which upgrade failed.
   * @return currentVersion
  */
  @ApiModelProperty(value = "The current firmware version of the device which upgrade failed.")


  public String getCurrentVersion() {
    return currentVersion;
  }

  public void setCurrentVersion(String currentVersion) {
    this.currentVersion = currentVersion;
  }

  public UpgradeFailedDeviceInfo siteName(String siteName) {
    this.siteName = siteName;
    return this;
  }

  /**
   * The siteName of the device which upgrade failed.
   * @return siteName
  */
  @ApiModelProperty(value = "The siteName of the device which upgrade failed.")


  public String getSiteName() {
    return siteName;
  }

  public void setSiteName(String siteName) {
    this.siteName = siteName;
  }

  public UpgradeFailedDeviceInfo type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Device type should be a value as follows: gateway, switch, ap.
   * @return type
  */
  @ApiModelProperty(value = "Device type should be a value as follows: gateway, switch, ap.")


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpgradeFailedDeviceInfo upgradeFailedDeviceInfo = (UpgradeFailedDeviceInfo) o;
    return Objects.equals(this.modelTypeInfo, upgradeFailedDeviceInfo.modelTypeInfo) &&
        Objects.equals(this.deviceName, upgradeFailedDeviceInfo.deviceName) &&
        Objects.equals(this.mac, upgradeFailedDeviceInfo.mac) &&
        Objects.equals(this.currentVersion, upgradeFailedDeviceInfo.currentVersion) &&
        Objects.equals(this.siteName, upgradeFailedDeviceInfo.siteName) &&
        Objects.equals(this.type, upgradeFailedDeviceInfo.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(modelTypeInfo, deviceName, mac, currentVersion, siteName, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpgradeFailedDeviceInfo {\n");
    
    sb.append("    modelTypeInfo: ").append(toIndentedString(modelTypeInfo)).append("\n");
    sb.append("    deviceName: ").append(toIndentedString(deviceName)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    currentVersion: ").append(toIndentedString(currentVersion)).append("\n");
    sb.append("    siteName: ").append(toIndentedString(siteName)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

